import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import './Business.js';
import { a as BusinessFormClickActions } from './event-types2.js';
import { B as Button } from './button.js';
import './justifi-details2.js';
import './event-types.js';
import './justifi-radio-list-item2.js';

const PaymentProvisioningFormButtons = /*@__PURE__*/ proxyCustomElement(class PaymentProvisioningFormButtons extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    get showPreviousStepButton() {
        return this.currentStep > 0;
    }
    get showNextStepButton() {
        return this.currentStep < this.totalSteps;
    }
    get showSubmitButton() {
        return this.currentStep === this.totalSteps;
    }
    render() {
        return (h("div", { key: '6fac4d1e92b732da3e7e867c091f23e9e3b7d6ab', class: 'd-flex gap-2' }, h(Button, { key: 'a96025bed24ade707d7f28561a12a9bcf62401e8', variant: "secondary", type: "button", onClick: () => this.previousStepButtonOnClick(), disabled: this.formDisabled, hidden: !this.showPreviousStepButton }, "Previous"), h(Button, { key: 'c4bd0d4a7f79942b307a4587e77c73158d4b704d', variant: "primary", type: "button", onClick: (e) => this.nextStepButtonOnClick(e, BusinessFormClickActions.nextStep), disabled: this.formDisabled, isLoading: this.formLoading, hidden: !this.showNextStepButton }, "Next"), h(Button, { key: '5fa56e168646f4fa266fde124c78dc2564a6c311', variant: "primary", type: "submit", onClick: (e) => this.nextStepButtonOnClick(e, BusinessFormClickActions.submit), disabled: this.formDisabled, isLoading: this.formLoading, hidden: !this.showSubmitButton }, "Submit")));
    }
}, [256, "payment-provisioning-form-buttons", {
        "currentStep": [2, "current-step"],
        "totalSteps": [2, "total-steps"],
        "formLoading": [4, "form-loading"],
        "formDisabled": [4, "form-disabled"],
        "previousStepButtonOnClick": [16],
        "nextStepButtonOnClick": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["payment-provisioning-form-buttons"];
    components.forEach(tagName => { switch (tagName) {
        case "payment-provisioning-form-buttons":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, PaymentProvisioningFormButtons);
            }
            break;
    } });
}
defineCustomElement();

export { PaymentProvisioningFormButtons as P, defineCustomElement as d };
